Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.apache.struts.taglib.wml
Class LinkTag  view LinkTag download LinkTag.java

java.lang.Object
  extended byjavax.servlet.jsp.tagext.TagSupport
      extended byjavax.servlet.jsp.tagext.BodyTagSupport
          extended byorg.apache.struts.taglib.wml.BaseHandlerTag
              extended byorg.apache.struts.taglib.wml.BaseWmlTag
                  extended byorg.apache.struts.taglib.wml.BaseLangTag
                      extended byorg.apache.struts.taglib.wml.LinkTag
All Implemented Interfaces:
javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class LinkTag
extends BaseLangTag

Generate a URL-encoded hyperlink to the specified URI.

Version:

Field Summary
protected  java.lang.String action
          The action to which this hyperlink will be rendered.
protected  java.lang.String anchor
          The anchor to be added to the end of the generated hyperlink.
protected  java.lang.String forward
          The logical forward name from which to retrieve the hyperlink URI.
protected  java.lang.String href
          The hyperlink URI.
protected  java.lang.String indexId
          Name of parameter to generate to hold index number
protected static org.apache.struts.util.MessageResources messages
          The message resources for this package.
protected  java.lang.String name
          The JSP bean name for query parameters.
protected  java.lang.String page
          The application-relative page URL (beginning with a slash) to which this hyperlink will be rendered.
protected  java.lang.String paramId
          The single-parameter request parameter name to generate.
protected  java.lang.String paramName
          The single-parameter JSP bean name.
protected  java.lang.String paramProperty
          The single-parameter JSP bean property.
protected  java.lang.String paramScope
          The single-parameter JSP bean scope.
protected  java.lang.String property
          The JSP bean property name for query parameters.
protected  java.lang.String scope
          The scope of the bean specified by the name property, if any.
protected  java.lang.String text
          The body content of this tag (if any).
protected  boolean transaction
          Include transaction token (if any) in the hyperlink?
 
Fields inherited from class org.apache.struts.taglib.wml.BaseLangTag
xmlLang
 
Fields inherited from class org.apache.struts.taglib.wml.BaseWmlTag
classAttr, id
 
Fields inherited from class org.apache.struts.taglib.wml.BaseHandlerTag
accesskey, defaultLocale, indexed, tabindex
 
Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
bodyContent
 
Fields inherited from class javax.servlet.jsp.tagext.TagSupport
pageContext
 
Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
EVAL_BODY_BUFFERED, EVAL_BODY_TAG
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
LinkTag()
           
 
Method Summary
protected  java.lang.String calculateURL()
          Return the complete URL to which this hyperlink will direct the user.
 int doAfterBody()
          Save the associated label from the body content.
 int doEndTag()
          Render the end of the hyperlink.
 int doStartTag()
          Render the beginning of the hyperlink.
 java.lang.String getAction()
          Returns the action.
 java.lang.String getAnchor()
           
 java.lang.String getForward()
           
 java.lang.String getHref()
           
 java.lang.String getIndexId()
           
 java.lang.String getName()
           
 java.lang.String getPage()
           
 java.lang.String getParamId()
           
 java.lang.String getParamName()
           
 java.lang.String getParamProperty()
           
 java.lang.String getParamScope()
           
 java.lang.String getProperty()
           
 java.lang.String getScope()
           
 boolean getTransaction()
           
 void release()
          Release any acquired resources.
 void setAction(java.lang.String action)
          Sets the action.
 void setAnchor(java.lang.String anchor)
           
 void setForward(java.lang.String forward)
           
 void setHref(java.lang.String href)
           
 void setIndexId(java.lang.String indexId)
           
 void setName(java.lang.String name)
           
 void setPage(java.lang.String page)
           
 void setParamId(java.lang.String paramId)
           
 void setParamName(java.lang.String paramName)
           
 void setParamProperty(java.lang.String paramProperty)
           
 void setParamScope(java.lang.String paramScope)
           
 void setProperty(java.lang.String property)
           
 void setScope(java.lang.String scope)
           
 void setTransaction(boolean transaction)
           
 
Methods inherited from class org.apache.struts.taglib.wml.BaseLangTag
getXmlLang, prepareCommonAttribs, setXmlLang
 
Methods inherited from class org.apache.struts.taglib.wml.BaseWmlTag
getClassAttr, getId, setClassAttr, setId
 
Methods inherited from class org.apache.struts.taglib.wml.BaseHandlerTag
getAccesskey, getAlt, getAltKey, getBundle, getIndexed, getLocale, getTabindex, getTitle, getTitleKey, message, prepareIndex, prepareStyles, setAccesskey, setAlt, setAltKey, setBundle, setIndexed, setLocale, setTabindex, setTitle, setTitleKey
 
Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
doInitBody, getBodyContent, getPreviousOut, setBodyContent
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface javax.servlet.jsp.tagext.Tag
getParent, setPageContext, setParent
 

Field Detail

text

protected java.lang.String text
The body content of this tag (if any).


anchor

protected java.lang.String anchor
The anchor to be added to the end of the generated hyperlink.


forward

protected java.lang.String forward
The logical forward name from which to retrieve the hyperlink URI.


href

protected java.lang.String href
The hyperlink URI.


name

protected java.lang.String name
The JSP bean name for query parameters.


page

protected java.lang.String page
The application-relative page URL (beginning with a slash) to which this hyperlink will be rendered.


action

protected java.lang.String action
The action to which this hyperlink will be rendered.


paramId

protected java.lang.String paramId
The single-parameter request parameter name to generate.


paramName

protected java.lang.String paramName
The single-parameter JSP bean name.


paramProperty

protected java.lang.String paramProperty
The single-parameter JSP bean property.


paramScope

protected java.lang.String paramScope
The single-parameter JSP bean scope.


property

protected java.lang.String property
The JSP bean property name for query parameters.


scope

protected java.lang.String scope
The scope of the bean specified by the name property, if any.


transaction

protected boolean transaction
Include transaction token (if any) in the hyperlink?


indexId

protected java.lang.String indexId
Name of parameter to generate to hold index number


messages

protected static org.apache.struts.util.MessageResources messages
The message resources for this package.

Constructor Detail

LinkTag

public LinkTag()
Method Detail

getAnchor

public java.lang.String getAnchor()

setAnchor

public void setAnchor(java.lang.String anchor)

getForward

public java.lang.String getForward()

setForward

public void setForward(java.lang.String forward)

getHref

public java.lang.String getHref()

setHref

public void setHref(java.lang.String href)

getName

public java.lang.String getName()

setName

public void setName(java.lang.String name)

getPage

public java.lang.String getPage()

setPage

public void setPage(java.lang.String page)

getAction

public java.lang.String getAction()
Returns the action.


setAction

public void setAction(java.lang.String action)
Sets the action.


getParamId

public java.lang.String getParamId()

setParamId

public void setParamId(java.lang.String paramId)

getParamName

public java.lang.String getParamName()

setParamName

public void setParamName(java.lang.String paramName)

getParamProperty

public java.lang.String getParamProperty()

setParamProperty

public void setParamProperty(java.lang.String paramProperty)

getParamScope

public java.lang.String getParamScope()

setParamScope

public void setParamScope(java.lang.String paramScope)

getProperty

public java.lang.String getProperty()

setProperty

public void setProperty(java.lang.String property)

getScope

public java.lang.String getScope()

setScope

public void setScope(java.lang.String scope)

getTransaction

public boolean getTransaction()

setTransaction

public void setTransaction(boolean transaction)

getIndexId

public java.lang.String getIndexId()

setIndexId

public void setIndexId(java.lang.String indexId)

doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
Render the beginning of the hyperlink. Indexed property since 1.1


doAfterBody

public int doAfterBody()
                throws javax.servlet.jsp.JspException
Save the associated label from the body content.


doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Render the end of the hyperlink.


release

public void release()
Release any acquired resources.

Specified by:
release in interface javax.servlet.jsp.tagext.Tag
Overrides:
release in class BaseLangTag

calculateURL

protected java.lang.String calculateURL()
                                 throws javax.servlet.jsp.JspException
Return the complete URL to which this hyperlink will direct the user.